Bug 1267468 - Review Request: rubygem-codeclimate-test-reporter - Uploads Ruby test coverage data to Code Climate
Review Request: rubygem-codeclimate-test-reporter - Uploads Ruby test coverag...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1268674
  Show dependency treegraph
 
Reported: 2015-09-30 02:47 EDT by Ilya Gradina
Modified: 2018-02-11 12:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)
spec file with missing dependencies (1.90 KB, text/x-matlab)
2016-06-19 17:18 EDT, Germano Massullo
no flags Details

  None (edit)
Description Ilya Gradina 2015-09-30 02:47:48 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/blob/master/rubygems/rubygem-codeclimate-test-reporter.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/blob/master/rubygems/rubygem-codeclimate-test-reporter-0.4.8-1.fc24.src.rpm
Description: Collects test coverage data from your Ruby test suite and sends it to Code Climate's hosted, automated code review service. Based on SimpleCov.
Fedora Account System Username: ilgrad
Comment 1 Germano Massullo 2016-06-19 17:18:20 EDT
Hi, I was filling a Review Request for codeclimate-test-reporter when I saw your Review Request. So we can work together on this and hopefully maintain the package together :-)
I attach a spec file with missing dependencies, if you can use it and re-generate the src.rpm file.
Thank you!
Comment 2 Germano Massullo 2016-06-19 17:18 EDT
Created attachment 1169604 [details]
spec file with missing dependencies
Comment 3 Germano Massullo 2016-06-19 17:51:41 EDT
I am sorry, I just had a talk with Francesco Locati (FAS fale) and he explained me that the additional dependencies I added in my spec file, are not required.
Could you please build a source RPM against newest codeclimate-test-reporter 0.5.2?
Thanks
https://rubygems.org/gems/codeclimate-test-reporter/versions/0.5.2
Comment 5 Ilya Gradina 2016-12-01 17:09:33 EST
ping?
Comment 6 Germano Massullo 2017-06-15 10:52:36 EDT
Hi, I will submit a review in next hours
Comment 7 Germano Massullo 2017-06-15 12:45:00 EDT
(In reply to Ilya Gradina from comment #4)
> New SRPM:
> https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-
> codeclimate-test-reporter-0.6.0-1.fc26.src.rpm

Fedora review fails with various build errors, please fix them
Thank you
Comment 9 Ilya Gradina 2017-07-11 17:55:58 EDT
the package looks good, only tests disabled, while you can do without them.
Comment 10 Germano Massullo 2018-01-05 19:02:25 EST
Hi Ilya, unfortunately I have to drop this package review process
Comment 11 Robert-André Mauchin 2018-01-08 12:01:39 EST
 - Group: is not needed anymore

 - The package fails to install:

DEBUG util.py:479:  Error: 
DEBUG util.py:479:   Problem 1: conflicting requests
DEBUG util.py:479:    - nothing provides rubygem(simplecov) <= 0.13 needed by rubygem-codeclimate-test-reporter-1.0.8-1.fc28.noarch
DEBUG util.py:479:   Problem 2: package rubygem-codeclimate-test-reporter-doc-1.0.8-1.fc28.noarch requires rubygem-codeclimate-test-reporter = 1.0.8-1.fc28, but none of the providers can be installed
DEBUG util.py:479:    - conflicting requests
DEBUG util.py:479:    - nothing provides rubygem(simplecov) <= 0.13 needed by rubygem-codeclimate-test-reporter-1.0.8-1.fc28.noarch
DEBUG util.py:617:  Child return code was: 1


It seems the version of simplecov in Koji is indeed 0.13.0, but the dependency resolution fails with "<= 0.13". You should relax the dependency in the gemspec to be 0.13.0.

I've successfully used the following patch to do it:

diff -up ./codeclimate-test-reporter.gemspec.fix_require ./codeclimate-test-reporter.gemspec
--- ./codeclimate-test-reporter.gemspec.fix_require	2018-01-08 17:47:53.000000000 +0100
+++ ./codeclimate-test-reporter.gemspec	2018-01-08 17:48:48.523257739 +0100
@@ -23,7 +23,7 @@ Gem::Specification.new do |s|
     s.specification_version = 4
 
     if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
-      s.add_runtime_dependency(%q<simplecov>.freeze, ["<= 0.13"])
+      s.add_runtime_dependency(%q<simplecov>.freeze, ["<= 0.13.0"])
       s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
       s.add_development_dependency(%q<pry>.freeze, [">= 0"])
       s.add_development_dependency(%q<rake>.freeze, [">= 0"])





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.8 starting (python version = 3.6.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled HW Info plugin
Mock Version: 1.4.8
INFO: Mock Version: 1.4.8
Finish: chroot init
INFO: installing package(s): /home/bob/packaging/review/rubygem-codeclimate-test-reporter/review-rubygem-codeclimate-test-reporter/results/rubygem-codeclimate-test-reporter-doc-1.0.8-1.fc28.noarch.rpm /home/bob/packaging/review/rubygem-codeclimate-test-reporter/review-rubygem-codeclimate-test-reporter/results/rubygem-codeclimate-test-reporter-1.0.8-1.fc28.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/f28-candidate-x86_64/root/ --disableplugin=local --setopt=deltarpm=False install /home/bob/packaging/review/rubygem-codeclimate-test-reporter/review-rubygem-codeclimate-test-reporter/results/rubygem-codeclimate-test-reporter-doc-1.0.8-1.fc28.noarch.rpm /home/bob/packaging/review/rubygem-codeclimate-test-reporter/review-rubygem-codeclimate-test-reporter/results/rubygem-codeclimate-test-reporter-1.0.8-1.fc28.noarch.rpm



Rpmlint
-------
Checking: rubygem-codeclimate-test-reporter-1.0.8-1.fc28.noarch.rpm
          rubygem-codeclimate-test-reporter-doc-1.0.8-1.fc28.noarch.rpm
          rubygem-codeclimate-test-reporter-1.0.8-1.fc28.src.rpm
rubygem-codeclimate-test-reporter.noarch: W: no-manual-page-for-binary cc-tddium-post-worker
rubygem-codeclimate-test-reporter.noarch: W: no-manual-page-for-binary codeclimate-test-reporter
rubygem-codeclimate-test-reporter.src: W: invalid-url Source1: codeclimate-test-reporter-1.0.8-specs.tar.gz
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 13 Robert-André Mauchin 2018-02-10 16:31:03 EST
Ok, package approved.
Comment 14 Gwyn Ciesla 2018-02-11 12:16:34 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rubygem-codeclimate-test-reporter

Note You need to log in before you can comment on or make changes to this bug.